curl --request POST \
--url 'https://api.adside.ai/tiktok/mcp#get_identities' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"advertiser_id": "<string>",
"identity_type": "CUSTOMIZED_USER"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}List available TikTok identities for ad creation. An identity is required as the ad author.
curl --request POST \
--url 'https://api.adside.ai/tiktok/mcp#get_identities' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"advertiser_id": "<string>",
"identity_type": "CUSTOMIZED_USER"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.